## org.eclipse.emf.converter.util
Class ConverterUtil.GenPackageList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.AbstractEList<E>
                  org.eclipse.emf.common.util.BasicEList<E>
                      org.eclipse.emf.common.util.UniqueEList<E>
                          org.eclipse.emf.common.util.UniqueEList.FastCompare<GenPackage>
                              org.eclipse.emf.converter.util.ConverterUtil.GenPackageList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<GenPackage>, java.util.Collection<GenPackage>, java.util.List<GenPackage>, java.util.RandomAccess, EList<GenPackage>

Enclosing class:
  ConverterUtil

    public static class ConverterUtil.GenPackageList

extends UniqueEList.FastCompare<GenPackage>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.UniqueEList
`UniqueEList.FastCompare<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>, BasicEList.UnmodifiableEList<E>`

Field Summary

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ConverterUtil.GenPackageList()`
`ConverterUtil.GenPackageList(java.util.Collection<? extends GenPackage> collection)`
`ConverterUtil.GenPackageList(int initialCapacity)`

Method Summary
`protected java.lang.Object[]` `newData(int capacity)` Returns new allocated data storage.

Methods inherited from class org.eclipse.emf.common.util.UniqueEList.FastCompare
`useEquals`

Methods inherited from class org.eclipse.emf.common.util.UniqueEList
`isUnique`

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, basicList, clear, clone, contains, data, get, grow, indexOf, isEmpty, lastIndexOf, move, primitiveGet, remove, setData, setUnique, shrink, size, toArray, toArray`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList
`add, add, addAll, addAll, basicIterator, basicListIterator, basicListIterator, canContainNull, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, getDuplicates, getNonDuplicates, hashCode, iterator, listIterator, listIterator, move, remove, removeAll, resolve, retainAll, set, toString, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, subList`

Constructor Detail

### ConverterUtil.GenPackageList

    public ConverterUtil.GenPackageList()

### ConverterUtil.GenPackageList

    public ConverterUtil.GenPackageList(java.util.Collection<? extends GenPackage> collection)

### ConverterUtil.GenPackageList

    public ConverterUtil.GenPackageList(int initialCapacity)

Method Detail

### newData

    protected java.lang.Object[] newData(int capacity)

  Description copied from class: `BasicEList`
  Returns new allocated data storage. Clients may override this to create typed storage. The cost of type checking via a typed array is negligible.

  Overrides:
    `newData` in class `BasicEList<GenPackage>`
  Returns:
    new data storage.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.